import requests
url = "https://application_id.applications.lucidworks.com/ai/async-chunking/sentence/{MODEL_ID}"
payload = {
"batch": [{ "text": "The itsy bitsy spider climbed up the waterspout.
Down came the rain.
And washed the spider out.
Out came the sun.
And dried up all the rain.
And the itsy bitsy spider climbed up the spout again." }],
"useCaseConfig": { "dataType": "query" },
"modelConfig": { "vectorQuantizationMethod": "max-scale" }
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"chunkingId": "5886c6f0-5897-44a7-b473-bd531c0ee054",
"status": "SUBMITTED"
}Split text on sentences
The sentence chunker (chunking strategy) splits text on sentences.
import requests
url = "https://application_id.applications.lucidworks.com/ai/async-chunking/sentence/{MODEL_ID}"
payload = {
"batch": [{ "text": "The itsy bitsy spider climbed up the waterspout.
Down came the rain.
And washed the spider out.
Out came the sun.
And dried up all the rain.
And the itsy bitsy spider climbed up the spout again." }],
"useCaseConfig": { "dataType": "query" },
"modelConfig": { "vectorQuantizationMethod": "max-scale" }
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"chunkingId": "5886c6f0-5897-44a7-b473-bd531c0ee054",
"status": "SUBMITTED"
}Headers
Bearer token used for authentication. Format: Authorization: Bearer ACCESS_TOKEN.
application/json
"application/json"
Path Parameters
Unique identifier for the model.
"gte-small"
Body
The batch of key:value pairs used in the chunking request.
Show child attributes
Show child attributes
Provides fields and values that specify ranges for tokens.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The sentence chunker (chunking strategy) splits text on sentences. This is the default chunker configuration if nothing is passed.
Show child attributes
Show child attributes
Response
OK
This is the response to the POST chunking request submitted for a specific chunker and modelId.
The universal unique identifier (UUID) returned in the POST request. This UUID is required in the GET request to retrieve results.
"441eb3be-7de6-470a-8141-e416a15c7db1"
The current status of the request. Allowed values are:
-
SUBMITTED - The POST request was successful and the response has returned the
chunkingIdandstatusthat is used by the GET request. -
ERROR - An error was generated when the GET request was sent.
-
READY - The results associated with the
chunkingIdare available and ready to be retrieved. -
RETRIEVED - The results associated with the
chunkingIdare returned successfully when the GET request was sent.
"SUBMITTED"
Was this page helpful?